Forum


Notice to all users

We are migrating towards a new forum system located at community.teamspeak.com, as such this forum will become read-only on January 29, 2020

Results 1 to 15 of 18

Threaded View

  1. #1
    Join Date
    February 2018
    Posts
    2

    Old client can't update on XP / Vista

    Two days ago everything was fine. Went to login yesterday and got 'cannot connect to server'. Today it tells me "The server requires a newer client version." I click the update button and it tells me this, "This is the last TeamSpeak version available for Windows XP."

    I am limited in budget and cannot get a newer OS. Why can't you just carry the XP permissions to the new client updates so I can continue using your product. Please!

    I have old games I play that need an old OS.
    Last edited by dante696; May 24th, 2018 at 07:39 PM. Reason: merged

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Similar Threads

  1. Teamspeak 3 Client 3.1 crashes on startup (Vista x32)
    By bosscipher in forum Bug Reports [EN/DE]
    Replies: 3
    Last Post: January 13th, 2017, 02:36 PM
  2. Update message after update to client RC1
    By YIAMegadeath in forum Server Support
    Replies: 3
    Last Post: May 30th, 2011, 02:34 PM
  3. Austrailian Vista Client - cannot connect.
    By Omen555666 in forum Windows
    Replies: 3
    Last Post: May 3rd, 2011, 01:10 AM
  4. Client Crass On Windows Vista
    By aGility in forum Windows
    Replies: 0
    Last Post: December 23rd, 2009, 02:23 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •